/**
 * 需要走服务总线请求
 * 使用示例
 * request({
    url: '/api/data',
    method: 'get',
    requestMode: import.meta.env.NODE_ENV == 'production' ? RequestMode.SERVICE_BUS_ONLY : import.meta.env.APP_DEFAULT_REQUEST_MODE,
  })
 */
import request, { RequestMode } from '@/utils/request'
const requestMode =
  import.meta.env.NODE_ENV == 'production'
    ? RequestMode.SERVICE_BUS_ONLY
    : import.meta.env.APP_DEFAULT_REQUEST_MODE

export const getUser = () => {
  return request({
    url: '/user/getUser',
    method: 'get',
    requestMode
  })
}
